# Gift subscription estimate for items

> For the complete machine-readable documentation index, see [llms.txt](https://apidocs.chargebee.com/llms.txt).


This endpoint generates an estimate for a subscription that is intended to be a gift. The estimate provides details about the gift sender, gift recipient, address details of the recipient, and the type and details of subscription items included in the gift.

## Sample Request

#### cURL

```bash
curl  https://{site}.chargebee.com/api/v2/estimates/gift_subscription_for_items \
     -u {site_api_key}:\
     -d "gift[scheduled_at]"=1601106050 \
     -d "gifter[customer_id]"="gifter" \
     -d "gifter[signature]"="Sam" \
     -d "gift_receiver[customer_id]"="receiver" \
     -d "gift_receiver[first_name]"="James" \
     -d "gift_receiver[last_name]"="William" \
     -d "gift_receiver[email]"="james@user.com" \
     -d "subscription_items[item_price_id][0]"="gift-plan-USD" \
     -d "subscription_items[quantity][0]"=2 \
     -d "subscription_items[item_price_id][1]"="day-pass-USD"
```

#### .NET

```dotnet
using ChargeBee.Api;
using ChargeBee.Models;

ApiConfig.Configure("{site}","{site_api_key}");
EntityResult result = Estimate.GiftSubscriptionForItems()
		.GiftScheduledAt(1601106050)
		.GifterCustomerId("gifter")
		.GifterSignature("Sam")
		.GiftReceiverCustomerId("receiver")
		.GiftReceiverFirstName("James")
		.GiftReceiverLastName("William")
		.GiftReceiverEmail("james@user.com")
		.SubscriptionItemItemPriceId(0, "gift-plan-USD")
		.SubscriptionItemQuantity(0, 2)
		.SubscriptionItemItemPriceId(1, "day-pass-USD")
		.Request();

Estimate estimate = result.Estimate;
```

#### Go

```go
package main
import (
    "fmt"
    "github.com/chargebee/chargebee-go/v3"
    estimateAction "github.com/chargebee/chargebee-go/v3/actions/estimate"
    "github.com/chargebee/chargebee-go/v3/models/estimate"
)
func main() {
    chargebee.Configure("{site_api_key}","{site}");
    res,err := estimateAction.GiftSubscriptionForItems(&estimate.GiftSubscriptionForItemsRequestParams{
        SubscriptionItems : []*estimate.GiftSubscriptionForItemsSubscriptionItemParams{
            {
                ItemPriceId : "gift-plan-USD",
                Quantity : chargebee.Int32(2),
            },
            {
                ItemPriceId : "day-pass-USD",
            },
        },
        Gift : &estimate.GiftSubscriptionForItemsGiftParams{
            ScheduledAt : chargebee.Int64(1601106050),
        },
        Gifter : &estimate.GiftSubscriptionForItemsGifterParams{
            CustomerId : "gifter",
            Signature : "Sam",
        },
        GiftReceiver : &estimate.GiftSubscriptionForItemsGiftReceiverParams{
            CustomerId : "receiver",
            FirstName : "James",
            LastName : "William",
            Email : "james@user.com",
        },
    }).Request()
    if err != nil {
        fmt.Println(err)
    } else {
        Estimate := res.Estimate
    }
}
```

#### Go

```go
package main

import (
  "fmt"
  "github.com/chargebee/chargebee-go/v4"
)

func main() {
  config := &chargebee.ClientConfig{
    SiteName: "{site}",
    ApiKey: "{site_api_key}",
  }    
  client := chargebee.NewClient(config)
  req := &chargebee.EstimateGiftSubscriptionForItemsRequest{
    SubscriptionItems : []*chargebee.EstimateGiftSubscriptionForItemsSubscriptionItem{
        {
            ItemPriceId : "gift-plan-USD",
            Quantity : chargebee.Int32(2),
        },
        {
            ItemPriceId : "day-pass-USD",
        },
    },
    Gift : &chargebee.EstimateGiftSubscriptionForItemsGift{
        ScheduledAt : chargebee.Int64(1601106050),
    },
    Gifter : &chargebee.EstimateGiftSubscriptionForItemsGifter{
        CustomerId : "gifter",
        Signature : "Sam",
    },
    GiftReceiver : &chargebee.EstimateGiftSubscriptionForItemsGiftReceiver{
        CustomerId : "receiver",
        FirstName : "James",
        LastName : "William",
        Email : "james@user.com",
    },
}
  res, err := client.Estimate.GiftSubscriptionForItems(req)
      if err != nil {
        fmt.Println(err)
    } else {
        Estimate := res.Estimate
    }
}
```

#### Java

```java
import com.chargebee.*;
import com.chargebee.ListResult;
import com.chargebee.models.*;
import com.chargebee.models.enums.*;
import java.io.IOException;
import java.sql.Timestamp;

public class Sample {

    public static void main(String args[]) throws IOException, Exception {
        Environment.configure("{site}", "{site_api_key}");
        Result result = Estimate.giftSubscriptionForItems()
            .giftScheduledAt(new Timestamp(1601106050L * 1000))
            .gifterCustomerId("gifter")
            .gifterSignature("Sam")
            .giftReceiverCustomerId("receiver")
            .giftReceiverFirstName("James")
            .giftReceiverLastName("William")
            .giftReceiverEmail("james@user.com")
            .subscriptionItemItemPriceId(0, "gift-plan-USD")
            .subscriptionItemQuantity(0, 2)
            .subscriptionItemItemPriceId(1, "day-pass-USD")
            .request();

        Estimate estimate = result.estimate();
    }
}
```

#### Java

```java
import com.chargebee.v4.client.ChargebeeClient;
import com.chargebee.v4.models.estimate.Estimate;
import com.chargebee.v4.models.estimate.params.EstimateGiftSubscriptionForItemsParams;
import com.chargebee.v4.models.estimate.responses.EstimateGiftSubscriptionForItemsResponse;
import java.sql.Timestamp;
import java.util.List;

public class EstimateGiftSubscriptionForItems {

    public static void main(String[] args) {
        ChargebeeClient client = ChargebeeClient.builder()
            .apiKey("{site_api_key}")
            .siteName("{site}")
            .build();

        EstimateGiftSubscriptionForItemsParams.GiftParams giftParams =
            EstimateGiftSubscriptionForItemsParams.GiftParams.builder()
                .scheduledAt(new Timestamp(1601106050L * 1000))
                .build();

        EstimateGiftSubscriptionForItemsParams.GifterParams gifterParams =
            EstimateGiftSubscriptionForItemsParams.GifterParams.builder()
                .customerId("gifter")
                .signature("Sam")
                .build();

        EstimateGiftSubscriptionForItemsParams.GiftReceiverParams giftReceiverParams =
            EstimateGiftSubscriptionForItemsParams.GiftReceiverParams.builder()
                .customerId("receiver")
                .firstName("James")
                .lastName("William")
                .email("james@user.com")
                .build();

        EstimateGiftSubscriptionForItemsParams.SubscriptionItemsParams subscriptionItem0 =
            EstimateGiftSubscriptionForItemsParams.SubscriptionItemsParams.builder()
                .itemPriceId("gift-plan-USD")
                .quantity(2)
                .build();

        EstimateGiftSubscriptionForItemsParams.SubscriptionItemsParams subscriptionItem1 =
            EstimateGiftSubscriptionForItemsParams.SubscriptionItemsParams.builder()
                .itemPriceId("day-pass-USD")
                .build();

        List<EstimateGiftSubscriptionForItemsParams.SubscriptionItemsParams> subscriptionItemsList =
            List.of(subscriptionItem0, subscriptionItem1);

        EstimateGiftSubscriptionForItemsParams params = EstimateGiftSubscriptionForItemsParams.builder()
            .gift(giftParams)
            .gifter(gifterParams)
            .giftReceiver(giftReceiverParams)
            .subscriptionItems(subscriptionItemsList)
            .build();

        EstimateGiftSubscriptionForItemsResponse response = client.estimates().giftSubscriptionForItems(params);

        Estimate estimate = response.getEstimate();
    }
}
```

#### Node.js

```node
import Chargebee from "chargebee";

const chargebee = new Chargebee({
    site: "{site}",
    apiKey: "{site_api_key}",
});

try {
    const result = await chargebee.estimate.giftSubscriptionForItems({
        subscription_items: [
            {
                item_price_id: "gift-plan-USD",
                quantity: 2
            },
            {
                item_price_id: "day-pass-USD"
            }
        ],
        gift: {
            scheduled_at: 1601106050
        },
        gifter: {
            customer_id: "gifter",
            signature: "Sam"
        },
        gift_receiver: {
            customer_id: "receiver",
            first_name: "James",
            last_name: "William",
            email: "james@user.com"
        }
    });

    console.log(result);
    const estimate = result.estimate;
} catch (err) {
    console.log(err);
}
```

#### PHP

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use Chargebee\ChargebeeClient;

$chargebee = new ChargebeeClient(options: [
    "site" => "{site}",
    "apiKey" => "{site_api_key}",
]);
$result = $chargebee->estimate()->giftSubscriptionForItems([
    "subscription_items" => [
        [
            "item_price_id" => "gift-plan-USD",
            "quantity" => 2
        ],
        [
            "item_price_id" => "day-pass-USD"
        ]
    ],
    "gift" => [
        "scheduled_at" => 1601106050
    ],
    "gifter" => [
        "customer_id" => "gifter",
        "signature" => "Sam"
    ],
    "gift_receiver" => [
        "customer_id" => "receiver",
        "first_name" => "James",
        "last_name" => "William",
        "email" => "james@user.com"
    ]
]);
$estimate = $result->estimate;
```

#### Python

```python
from chargebee import Chargebee

cb_client = Chargebee(api_key="{site_api_key}", site="{site}")
response = cb_client.Estimate.gift_subscription_for_items(
    cb_client.Estimate.GiftSubscriptionForItemsParams(
        subscription_items=[
            cb_client.Estimate.GiftSubscriptionForItemsSubscriptionItemParams(
              item_price_id="gift-plan-USD",
              quantity=2
            ),
            cb_client.Estimate.GiftSubscriptionForItemsSubscriptionItemParams(
              item_price_id="day-pass-USD"
            )
        ],
        gift=cb_client.Estimate.GiftSubscriptionForItemsGiftParams(
            scheduled_at=1601106050
        ),
        gifter=cb_client.Estimate.GiftSubscriptionForItemsGifterParams(
            customer_id="gifter",
            signature="Sam"
        ),
        gift_receiver=cb_client.Estimate.GiftSubscriptionForItemsGiftReceiverParams(
            customer_id="receiver",
            first_name="James",
            last_name="William",
            email="james@user.com"
        )
    )
)
estimate = response.estimate
```

#### Ruby

```ruby
require 'chargebee'

ChargeBee.configure(:site => "{site}",
  :api_key => "{site_api_key}")

result = ChargeBee::Estimate.gift_subscription_for_items({
  :gift => {
    :scheduled_at => 1601106050
  },
  :gifter => {
    :customer_id => "gifter",
    :signature => "Sam"
  },
  :gift_receiver => {
    :customer_id => "receiver",
    :first_name => "James",
    :last_name => "William",
    :email => "james@user.com"
  },
  :subscription_items => [
    {
      :item_price_id => "gift-plan-USD",
      :quantity => 2
    },
    {
      :item_price_id => "day-pass-USD"
    }
  ]
})

estimate = result.estimate
```

## Sample Response

```json
{
  "estimate": {
    "created_at": 1612964962,
    "invoice_estimate": {
      "amount_due": 2000,
      "amount_paid": 0,
      "credits_applied": 0,
      "currency_code": "USD",
      "customer_id": "gifter",
      "date": 1612964962,
      "line_item_discounts": {},
      "line_item_taxes": {},
      "line_items": [
        {
          "amount": 2000,
          "customer_id": "gifter",
          "date_from": 1708177762,
          "date_to": 1710683362,
          "description": "Gift Plan USD",
          "discount_amount": 0,
          "entity_id": "gift-plan-USD",
          "entity_type": "plan_item_price",
          "id": "li___test__8asyKSOcebcQOY",
          "is_taxed": false,
          "item_level_discount_amount": 0,
          "object": "line_item",
          "pricing_model": "per_unit",
          "quantity": 2,
          "subscription_id": "__test__8asyKSOcebZjOW",
          "tax_amount": 0,
          "unit_amount": 1000
        },
        {..}
      ],
      "object": "invoice_estimate",
      "price_type": "tax_exclusive",
      "recurring": true,
      "round_off_amount": 0,
      "sub_total": 2000,
      "taxes": {},
      "total": 2000
    },
    "object": "estimate",
    "subscription_estimate": {
      "currency_code": "USD",
      "id": "__test__8asyKSOcebZjOW",
      "object": "subscription_estimate",
      "status": "future"
    }
  }
}
```

## URL Format

**POST** https://[site].chargebee.com/api/v2/estimates/gift_subscription_for_items

## Input Parameters

- `coupon_ids` (optional, string, max chars=100)
  List of coupons to be applied to this subscription. You can provide coupon ids or coupon codes.

- `gift` (optional, timestamp(UTC) in seconds)
  Parameters for gift
  - `scheduled_at` (optional, timestamp(UTC) in seconds)
    Indicates the date on which the gift notification is sent to the receiver. If not passed, the receiver is notified immediately.
  - `auto_claim` (optional, boolean, default=false)
    When `true` , the claim happens automatically. When not passed, the default value in the site settings is used.
  - `no_expiry` (optional, boolean)
    When `true` , indicates that the gift does not expire. Do not pass or pass as `false` when `auto_claim` is set.
  - `claim_expiry_date` (optional, timestamp(UTC) in seconds)
    The date until which the gift can be claimed. Must be set to a value after `scheduled_at`. If the gift is not claimed within `claim_expiry_date` , it will expire and the subscription will move to `cancelled` state. When not passed, the value specified in the site settings will be used. Pass as `NULL` or do not pass when `auto_claim` or `no_expiry` are set.

- `gifter` (optional, string)
  Parameters for gifter
  - `customer_id` (required, string, max chars=50)
    Gifter customer id.
  - `signature` (required, string, max chars=50)
    Gifter sign-off name
  - `note` (optional, string, max chars=500)
    Personalized message for the gift.
  - `payment_src_id` (optional, string, max chars=40)
    Identifier of the payment source

- `gift_receiver` (optional, string)
  Parameters for gift\_receiver
  - `customer_id` (required, string, max chars=50)
    Receiver customer id.
  - `first_name` (required, string, max chars=150)
    First name of the receiver as given by the gifter.
  - `last_name` (required, string, max chars=150)
    Last name of the receiver as given by the gifter,
  - `email` (required, string, max chars=70)
    Email of the receiver. All gift related emails are sent to this email.

- `payment_intent` (optional, string)
  Parameters for payment\_intent
  - `id` (optional, string, max chars=150)
    Identifier for PaymentIntent generated by Chargebee.js. Applicable only when you are using Chargebee.js for completing the 3DS flow. The PaymentIntent should be in 'authorized' state while passing it here. You need not pass other PaymentIntent parameters if this is passed.
  - `gateway_account_id` (required if payment intent token provided, string, max chars=50)
    The gateway account used for performing the 3DS flow.
  - `gw_token` (optional, string, max chars=65k)
    Identifier for 3DS transaction/verification object at the gateway. Can be passed only after successfully completing the 3DS flow. Refer [3DS implementation in Chargebee](/docs/api/3ds_card_payments) to find out the gateway-specific gw\_token format. Applicable when you are using gateway APIs directly for completing the 3DS flow.
  - `payment_method_type` (optional, enumerated string)
    The list of payment method types (For example, card, ideal, sofort, bancontact, etc.) this Payment Intent is allowed to use. If payment method type is empty, Card is taken as the default type for all gateways except Razorpay.
    Possible enum values:
      - `card`
        card
      - `ideal`
        ideal
      - `sofort`
        sofort
      - `bancontact`
        bancontact
      - `google_pay`
        google\_pay
      - `dotpay`
        dotpay
      - `giropay`
        giropay
      - `apple_pay`
        apple\_pay
      - `upi`
        upi
      - `netbanking_emandates`
        netbanking\_emandates
      - `paypal_express_checkout`
        paypal\_express\_checkout
      - `direct_debit`
        direct\_debit
      - `boleto`
        boleto
      - `venmo`
        Venmo
      - `amazon_payments`
        Amazon Payments
      - `pay_to`
        PayTo
      - `faster_payments`
        Faster Payments
      - `sepa_instant_transfer`
        Sepa Instant Transfer
      - `klarna_pay_now`
        Klarna Pay Now
      - `online_banking_poland`
        Online Banking Poland
      - `payconiq_by_bancontact`
        Payments made via Payconiq by Bancontact.
      - `electronic_payment_standard`
        Electronic Payment Standard
      - `kbc_payment_button`
        KBC Payment Button
      - `pay_by_bank`
        Pay By Bank
      - `trustly`
        Trustly
      - `stablecoin`
        Payments made via Stablecoin.
      - `kakao_pay`
        Payments made via Kakao Pay.
      - `naver_pay`
        Payments made via Naver Pay.
      - `revolut_pay`
        Payments made via Revolut Pay.
      - `cash_app_pay`
        Payments made via Cash App Pay.
      - `wechat_pay`
        Payments made via WeChat Pay.
      - `alipay`
        Payments made via Alipay.
      - `twint`
        Payments made via Twint
      - `go_pay`
        Payments made via GoPay
      - `grab_pay`
        Payments made via GrabPay
      - `pay_co`
        Payments made via PayCo
      - `after_pay`
        Payments made via Afterpay
      - `swish`
        Payments made via Swish
      - `payme`
        Payments made via PayMe
      - `pix`
        Pix
      - `klarna`
        Payments made via Klarna.
      - `alipay_hk`
        Payments made via Alipay HK.
      - `paypay`
        PayPay
      - `gcash`
        Payments made via GCash.
      - `south_korean_cards`
        Payments made via South Korean Cards
      - `paynow`
      - `bizum`
      - `promptpay`
      - `dana`
        Payments made via Dana.
      - `touch_n_go`
        Payments made via Touch 'n Go.
      - `tamara`
        Payments made via Tamara.
      - `qpay`
        Payments made via Qpay.
      - `ovo`
      - `momo`
      - `mercado_pago`
      - `nequi`
      - `nupay`
      - `picpay`
      - `thai_qr`
      - `blik`
      - `fpx`
      - `wero`
      - `p24`
      - `affirm_pay`
      - `rakuten_pay`
  - `reference_id` (optional, string, max chars=65k)
    Identifier for Braintree permanent token. Applicable when you are using Braintree APIs for completing the 3DS flow.
  - `additional_information` (optional, jsonobject)
    -   `checkout_com`: While adding a new payment method using [permanent token](/docs/api/payment_sources/create-using-permanent-token) or passing raw card details to Checkout.com, `document` ID and `country_of_residence` are required to support payments through [dLocal](https://www.checkout.com/docs/previous/payments/payment-methods/cards/dlocal).
        
        -   `payer`: User related information.
            -   `country_of_residence`: This is required since the billing country associated with the user's payment method may not be the same as their country of residence. Hence the user's country of residence needs to be specified. The country code should be a [two-character ISO code](https://docs.checkout.com/resources/codes/country-codes).
            -   `document`: Document ID is the user's [identification number](https://docs.dlocal.com/api-documentation/payins-api-reference/country-reference#documents) based on their country.
    -   `bluesnap`: While passing raw card details to BlueSnap, if `fraud_session_id` is added, [additional validation](https://developers.bluesnap.com/docs/fraud-prevention) is performed to avoid fraudulent transactions.
        
        -   `fraud`: Fraud identification related information.
            -   `fraud_session_id`: Your [BlueSnap fraud session ID](https://developers.bluesnap.com/docs/fraud-prevention#section-implementing-device-data-collector) required to perform anti-fraud validation.
    -   `braintree`: While passing raw card details to Braintree, your `fraud_merchant_id` and the user's `device_session_id` can be added to perform [additional validation](https://developers.braintreepayments.com/guides/premium-fraud-management-tools/device-data-collection/javascript/v3#collecting-device-data) and avoid fraudulent transactions.
        
        -   `fraud`: Fraud identification related information.
            -   `device_session_id`: Session ID associated with the user's device.
            -   `fraud_merchant_id`: Your [merchant ID](https://developers.braintreepayments.com/guides/premium-fraud-management-tools/device-data-collection/javascript/v3#collecting-device-data) for fraud detection.
    -   `chargebee_payments`: While passing raw card details to Chargebee Payments, if `fraud_session_id` is added, additional validation is performed to avoid fraudulent transactions.
        
        -   `fraud`: Fraud identification related information.
            -   `fraud_session_id`: Your Chargebee Payments fraud session ID required to perform anti-fraud validation.
    -   `bank_of_america`: While passing raw card details to Bank of America, your user's `device_session_id` can be added to perform additional validation and avoid fraudulent transactions.
        
        -   `fraud`: Fraud identification related information.
            -   `device_session_id`: Session ID associated with the user's device.
    -   `ecentric`: This parameter is used to verify and process payment method details in Ecentric. If the `merchant_id` parameter is included, Chargebee will vault it / perform a lookup and verification against this `merchant_id`, overriding the one configured in Chargebee. If tokens and processing occur in the same Merchant GUID, you can just skip this part.
        
        -   `merchant_id`: Merchant GUID where the card is vaulted or need to be vaulted.
    -   `ebanx`: While passing raw card details to EBANX, the user's `document` is required for some countries and `device_session_id` can be added to perform [additional validation](https://developer.ebanx.com/docs/payments/guides/features/device-fingerprint#device-fingerprint) and avoid fraudulent transactions.
        
        -   `payer`: User related information.
            -   `document`: Document is the user's identification number based on their country.
        -   `fraud`: Fraud identification related information.
            -   `device_session_id`: Session ID associated with the user's device

- `shipping_address` (optional, string)
  Parameters for shipping\_address
  - `first_name` (optional, string, max chars=150)
    The first name of the contact.
  - `last_name` (optional, string, max chars=150)
    The last name of the contact.
  - `email` (optional, string, max chars=70)
    The email address.
  - `company` (optional, string, max chars=250)
    The company name.
  - `phone` (optional, string, max chars=50)
    The phone number.
  - `line1` (optional, string, max chars=150)
    Address line 1
  - `line2` (optional, string, max chars=150)
    Address line 2
  - `line3` (optional, string, max chars=150)
    Address line 3
  - `city` (optional, string, max chars=50)
    The name of the city.
  - `state_code` (optional, string, max chars=50)
    The [ISO 3166-2 state/province code](https://www.iso.org/obp/ui/#search/code) without the country prefix. Currently supported for USA, Canada and India. For instance, for Arizona (USA), set `state_code` as `AZ` (not `US-AZ` ). For Tamil Nadu (India), set as `TN` (not `IN-TN` ). For British Columbia (Canada), set as `BC` (not `CA-BC` ).
  - `state` (optional, string, max chars=50)
    The state/province name. Is set by Chargebee automatically for US, Canada and India If `state_code` is provided.
  - `zip` (optional, string, max chars=20)
    Zip or postal code. The number of characters is validated according to the rules [specified here](https://chromium-i18n.appspot.com/ssl-address) .
  - `country` (optional, string, max chars=50)
    The billing address country of the customer. Must be one of [ISO 3166 alpha-2 country code](https://www.iso.org/iso-3166-country-codes.html) .
    
    **Note**: If you enter an invalid country code, the system will return an error.
    
    **Brexit**
    
    If you have enabled [EU VAT](https://www.chargebee.com/docs/eu-vat.html) in 2021 or later, or have [manually enable](https://www.chargebee.com/docs/brexit.html#what-needs-to-be-done-in-chargebee) the Brexit configuration, then `XI` (the code for **United Kingdom - Northern Ireland**) is available as an option.
  - `validation_status` (optional, enumerated string, default=not_validated)
    The address verification status.
    Possible enum values:
      - `not_validated`
        Address is not yet validated.
      - `valid`
        Address was validated successfully.
      - `partially_valid`
        The address is valid for taxability but has not been validated for shipping.
      - `invalid`
        Address is invalid.

- `subscription_items` (optional, array)
  Parameters for subscription\_items
  - `item_price_id` (optional, string, max chars=100)
    The unique identifier of the item price.
  - `quantity` (optional, integer)
    The quantity of the item purchased
  - `quantity_in_decimal` (optional, string, max chars=33)
    The decimal representation of the quantity of the item purchased. Can be provided for quantity-based item prices and only when [multi-decimal pricing](/docs/api/getting-started) is enabled.
  - `unit_price` (optional, in cents)
    The price/per unit price of the item. The value is interpreted as per the type of [currency](/docs/api/currencies).
    
    **Prerequisites**
    
    -   The `pricing_model` of the item price is `flat_fee` or `per_unit`.
    -   [Price overriding](https://www.chargebee.com/docs/price-override.html) is enabled for the site.
    
    **Default value**
    
    -   [`item_price.price`](/docs/api/item_prices/item_price-object#price).
  - `unit_price_in_decimal` (optional, string, max chars=39)
    The price/per unit price of the item in major units of the [currency](/docs/api/currencies). When not provided, the [value set for the item price](/docs/api/item_prices/item_price-object#price) is used.
    
    **Prerequisites**
    
    -   The `pricing_model` of the item price is `flat_fee` or `per_unit`.
    -   [Multi-decimal](https://www.chargebee.com/docs/billing/2.0/site-configuration/multi-decimal-support#configuring-multi-decimal-support) pricing is enabled.
    -   [Price overriding](https://www.chargebee.com/docs/2.0/price-override.html) is enabled for the site.
    
    **Default value**
    
    -   [`item_price.price_in_decimal`](/docs/api/item_prices/item_price-object#price_in_decimal).

- `item_tiers` (optional, array)
  Parameters for item\_tiers
  - `item_price_id` (optional, string, max chars=100)
    The id of the item price for which the tier price is being overridden.
  - `starting_unit` (optional, integer)
    The lowest value in the quantity tier.
    
    **Constraints**
    
    -   Must be zero for the lowest tier.
    -   For all other tiers, it must be equal to the `ending_unit` of the next lower tier.
  - `ending_unit` (optional, integer)
    The highest value in the quantity tier.
    
    **Constraints**
    
    -   Not applicable for the highest tier.
    -   Must be equal to the `starting_unit` of the next higher tier.
  - `price` (optional, in cents)
    The overridden price of the tier. The value depends on the [type of currency](/docs/api/currencies).
  - `starting_unit_in_decimal` (optional, string, max chars=33)
    The decimal representation of the lowest value of quantity in this tier.
    
    **Constraints**
    
    -   Must be zero for the lowest tier.
    -   For all other tiers, it must be equal to the `ending_unit_in_decimal` of the next lower tier.
    
    **Prerequisite**
    
    -   [Multi-decimal](https://www.chargebee.com/docs/billing/2.0/site-configuration/multi-decimal-support#configuring-multi-decimal-support) pricing is enabled.
  - `ending_unit_in_decimal` (optional, string, max chars=33)
    The decimal representation of the highest value of quantity in this tier.
    
    **Constraints**
    
    -   Not applicable for the highest tier.
    -   Must be equal to the `starting_unit_in_decimal` of the next higher tier.
    
    **Prerequisite**
    
    -   [Multi-decimal](https://www.chargebee.com/docs/billing/2.0/site-configuration/multi-decimal-support#configuring-multi-decimal-support) pricing is enabled.
  - `price_in_decimal` (optional, string, max chars=39)
    -   The decimal representation of the per-unit price for the tier when the [item\_price.pricing\_model](/docs/api/item_prices/item_price-object#pricing_model) is `tiered` or `volume`.
    -   The decimal representation of the total price for the item when the [item\_price.pricing\_model](/docs/api/item_prices/item_price-object#pricing_model) is `stairstep`.
    
    **Constraints**
    
    -   The value must be in major units of the [currency](/docs/api/currencies).
    
    **Prerequisite**
    
    -   [Multi-decimal](https://www.chargebee.com/docs/billing/2.0/site-configuration/multi-decimal-support#configuring-multi-decimal-support) pricing is enabled.

## Returns

- `estimate` (Estimate object)
  Resource object representing estimate
